clear
load RawData.mat
load data.mat
load result.mat


Control = Data(:,concentration==0,1:60,:);

len = size(Control,3);
mu = zeros(len,1);
N = zeros(len,1);

for i = 1 : len 
    li = unidim(Control(:,:,i,3)./Control(:,:,i,2));
    mu(i) = mean(li);
    li = li(abs(li-mu(i))<0.01);
    mu(i) = mean(li);
end

for i = 1 : len 
    li = unidim(Control(:,:,i,2));
    N(i) = mean(li);
    li = li(abs(li-N(i))<0.01);
    N(i) = mean(li);
end
fun = @(params)(params.*[0.2 0.1 0.02]+[1.05 0.009 0]);
f2 = @(params)(unidim(((1-(N(:)./params(1)))'.*(1-1./(1+params(3)*exp(params(2)*(10:10:600))))*params(3))));
[gbx,gbf]=PSO(@(params)(std(f2(fun(params))-mu(:)')),3);

params = fun(gbx);
x = 1 : 60;
t = 10*x;
lambda1 = unidim(1-1./(1+params(3)*exp(params(2)*t)));
lambda2 = unidim(1-N(:)./params(1));
d0 = f2(params);
d1 = params(3)*lambda1;
d2 = params(3)*lambda2;
plot(t,d0(:))
hold on
plot(t,mu(:),'o') 
hold on
plot(t,d1(:))
hold on
plot(t,d2(:))
hold on

res = [t;mu';d0;d1;d2];
save res.mat res