clear
load RawData.mat
[Data,c,corrs]=initialization(OD,concentration);
last = 9;

subplot(1,2,1)
mu = zeros(last,size(Data,3));
mum = zeros(1,last);
for i = 1 : last
    Att = Data(:,concentration == c(i),:,:);
    for j = 1 : size(Att,3)
        l = unidim(Att(4,:,j,2));
        mu(i,j) = mean(l);
    end
    mum(i) = max(mu(i,:));
end
plot(10*(1:60),mu(1,1:60),'k-','LineWidth',3)
hold on
plot(10*(1:60),mu(2:last,1:60),'LineWidth',2)
xlabel('Time/min','FontSize',20)
ylabel('OD','FontSize',24  )
legend('0.00 \mug/mL','0.50 \mug/mL','0.67 \mug/mL','0.71 \mug/mL','0.83 \mug/mL','1.00 \mug/mL','1.25 \mug/mL','1.67 \mug/mL','2.00 \mug/mL');
set(gca,'FontSize',14)


subplot(1,2,2)

last = 9;

mu = zeros(last,size(Data,3));
mum = zeros(1,last);
for i = 1 : last
    Att = Data(:,concentration == c(i),:,:);
    for j = 1 : size(Att,3)
        l = unidim(Att(4,:,j,3)./Att(4,:,j,2));
        mu(i,j) = mean(l);
        l = l(abs(l-mu(i,j))<0.015);
        mu(i,j) = mean(l);
    end
    mum(i) = max(mu(i,:));
end
plot(10*(1:60),mu(1,1:60),'k-','LineWidth',3)
hold on
plot(10*(1:60),mu(2:last,1:60),'LineWidth',2)
axis([0 600 -2e-3 14e-3])
xlabel('Time/min','FontSize',20)
ylabel('\mu/min-1','FontSize',24  )
c = c(1:last);
leg = cell(length(c));
legend('0.00 \mug/mL','0.50 \mug/mL','0.67 \mug/mL','0.71 \mug/mL','0.83 \mug/mL','1.00 \mug/mL','1.25 \mug/mL','1.67 \mug/mL','2.00 \mug/mL');
set(gca,'FontSize',14)

save 'mu.txt' mu -ascii
save 'concentration.txt' c -ascii