clear
load TATime.mat

color = [0 0 0; 0.63 0.13 0.94; 0 1 0; 0 0 1; 1 0 0];
dat = zeros(74,4);

set(gcf,'color','white')
l = 2;
subplot('position',[.05,.3,.3,.6])
set(gca,'FontSize',16)
for j = 1:5
    CDat = zeros(3,2,74);
    for k = 1 : 3
        Data = FiveCentralMethod(unidim(OD(j,k,l,:)),10);
        for q = 1 : 74
            CDat(k,1,q) = Data(q,2);
            CDat(k,2,q) = Data(q,3);
        end
    end
    for p = 1 : 74
        dat(p,1) = mean(CDat(:,1,p));
        dat(p,2) = std(CDat(:,1,p));
        dat(p,3) = mean(CDat(:,2,p));
        dat(p,4) = std(CDat(:,2,p));
    end
    plot(t,dat(:,3),'-','LineWidth',2,'Color',color(j,:));
    hold on
end
xlim([0 740])
ylim([0 6e-3])
xlabel({'time/min',['(1) aTc 5.0 \mug/mL']},'FontSize',24)
ylabel('\mu/min-1','FontSize',24)
legend('CTL','Toxin 134','Toxin 136','Toxin 1204','Toxin 6249')

l = 5;
subplot('position',[.35,.3,.3,.6])

for j = 1:5
    CDat = zeros(3,2,74);
    for k = 1 : 3
        Data = FiveCentralMethod(unidim(OD(j,k,l,:)),10);
        for q = 1 : 74
            CDat(k,1,q) = Data(q,2);
            CDat(k,2,q) = Data(q,3);
        end
    end
    for p = 1 : 74
        dat(p,1) = mean(CDat(:,1,p));
        dat(p,2) = std(CDat(:,1,p));
        dat(p,3) = mean(CDat(:,2,p));
        dat(p,4) = std(CDat(:,2,p));
    end
    plot(t,dat(:,3),'-','LineWidth',2,'Color',color(j,:));
    set(gca,'FontSize',16)
    set(gca,'YTick',0:1e-3:6e-3)
    hold on
end
xlim([0 740])
ylim([0 6e-3])
xlabel({'time/min',['(2) aTc 2.5 \mug/mL']},'FontSize',24)
ylabel('')

l = 6;
subplot('position',[.65,.3,.3,.6])

for j = 1:5
    CDat = zeros(3,2,74);
    for k = 1 : 3
        Data = FiveCentralMethod(unidim(OD(j,k,l,:)),10);
        for q = 1 : 74
            CDat(k,1,q) = Data(q,2);
            CDat(k,2,q) = Data(q,3);
        end
    end
    for p = 1 : 74
        dat(p,1) = mean(CDat(:,1,p));
        dat(p,2) = std(CDat(:,1,p));
        dat(p,3) = mean(CDat(:,2,p));
        dat(p,4) = std(CDat(:,2,p));
    end
    plot(t,dat(:,3),'-','LineWidth',2,'Color',color(j,:));
    set(gca,'FontSize',16)
    set(gca,'YTick',0:1e-3:6e-3)
    hold on
end
xlim([0 740])
ylim([0 6e-3])
xlabel({'time/min',['(3) aTc 1.7 \mug/mL']},'FontSize',24)
ylabel('')