clear
load TATime.mat
color = [0 0 0; 0 1 0; 0 0 1; 1 0 0];

len = 74;
dat = zeros(5,74,4);
mu = zeros(len,1);
N = zeros(len,1);
set(gcf,'color','white')
v = zeros(4,3,74);

nextl = 1;
for l = [2 5 6]
    for j = 1:5
        CDat = zeros(3,2,74);
        for k = 1 : 3
            Data = FiveCentralMethod(unidim(OD(j,k,l,:)),10);
            for q = 1 : 74
                CDat(k,1,q) = Data(q,2);
                CDat(k,2,q) = Data(q,3);
            end
        end
        for p = 1 : 74
            dat(j,p,1) = mean(CDat(:,1,p));
            dat(j,p,2) = std(CDat(:,1,p));
            dat(j,p,3) = mean(CDat(:,2,p));
            dat(j,p,4) = std(CDat(:,2,p));
        end
    end
    N = unidim(dat(1,:,1))';
    mu = unidim(dat(1,:,3));
    fun = @(params)(params.*[0.3 0.1 0.02]+[0.95 0.005 0]);
    f2 = @(params)(unidim(((1-(N(:)'./params(1))).*(1-1./(1+params(3)*exp(params(2)*10*(1:len))))*params(3))));
    [gbx,gbf]=PSO(@(params)(std(unidim(f2(fun(params))-mu(:)'))),3);
    pms = fun(gbx);
    
    next = 1;
    for j = [1 2 4 5]
        v(next,nextl,:) = (dat(j,:,3)/pms(2))./(1-dat(j,:,1)./pms(1)-dat(j,:,3)./pms(2));
        next = next + 1;
    end
    nextl = nextl + 1;
end

len = 40;
next = 2;
subplot('position',[.05,.3,.3,.6])
set(gca,'FontSize',16)
plot(10*(1:len),unidim(v(1,3,1:len)),'-','LineWidth',2,'Color',color(1,:));
hold on
for j = 1:3
    plot(10*(1:len),unidim(v(next,j,1:len)),'-','LineWidth',2,'Color',color(j+1,:));
    hold on
end
xlim([0 10*len])
ylim([0 1.3])
xlabel({'time/min',['(1) Toxin 134']},'FontSize',24)
ylabel('v/min-1','FontSize',24)
legend('CTL','aTc 5.0 \mug/mL','aTc 2.5 \mug/mL','aTc 1.6 \mug/mL')

len = 50;
next = 3;
subplot('position',[.35,.3,.3,.6])
set(gca,'FontSize',16)
plot(10*(1:len),unidim(v(1,3,1:len)),'-','LineWidth',2,'Color',color(1,:));
hold on
for j = 1:3
    plot(10*(1:len),unidim(v(next,j,1:len)),'-','LineWidth',2,'Color',color(j+1,:));
    hold on
end
xlim([0 10*len])
ylim([0 1.3])
xlabel({'time/min',['(2) Toxin 1204']},'FontSize',24)
ylabel('')

len = 40;
next = 4;
subplot('position',[.65,.3,.3,.6])
set(gca,'FontSize',16)
plot(10*(1:len),unidim(v(1,3,1:len)),'-','LineWidth',2,'Color',color(1,:));
hold on
for j = 1:3
    plot(10*(1:len),unidim(v(next,j,1:len)),'-','LineWidth',2,'Color',color(j+1,:));
    hold on
end
xlim([0 10*len])
ylim([0 1.3 ])
xlabel({'time/min',['(3) Toxin 6249']},'FontSize',24)
ylabel('')



