function [gbx,gbf] = PSO(fun,varnum)

m = 30;
c1 = 0.6;
c2 = 0.4;
iter = 300;
vmax = ones(1,varnum)*0.1;

pbf = zeros(m,1);
f = zeros(m,1);
x = zeros(m,varnum);
pbx = zeros(m,varnum);
v = zeros(m,varnum);
for i = 1 : m
    x(i,:) = rand(1,varnum);
    v(i,:) = rand(1,varnum).*vmax;
    pbx(i,:) = x(i,:);
end

pbf(:) = Inf;
for i = 1 : iter
    for j = 1 : m
        f(j) = fun(x(j,:));
        if(isnan(f(j)))
            continue;
        end
        if( f(j) < pbf(j))
            pbf(j) = f(j);
            pbx(j,:) = x(j,:);
        end
    end
    [gbf,loc] = min(pbf);
    gbx = pbx(loc,:);
    for j = 1 : m
        v(j,:) = v(j,:) + c1*rand*(gbx-x(j,:))+c2*rand*(pbx(j,:)-x(j,:))+0.5*(1-i/iter)*rand(1,varnum);
        v(j,:) = max(min(v(j,:),vmax),-vmax); 
        x(j,:) = x(j,:) + v(j,:);
        x(j,:) = x(j,:) - floor(x(j,:));
    end
end
