function y = RungeKuta(y0,x,fun)

y = zeros(length(x),length(y0));
y(1,:) = y0;
len = length(x)-1;
for i = 1 : len
    delX = (x(i+1)-x(i))/2;
    k1 = fun(x(i),y(i,:));
    k2 = fun(x(i)+delX,y(i,:)+delX.*k1);
    k3 = fun(x(i)+delX,y(i,:)+delX.*k2);
    k4 = fun(x(i)+2*delX,y(i,:)+2*delX.*k3);
    y(i+1,:) = y(i,:)+delX*(k1+2*k2+2*k3+k4)/3;
    if any(isnan(y(i+1,:)))
        y = NaN;
        return ;
    end
end