clear
load RawData.mat
load result.mat
[Data,c,corrs]=initialization(OD,concentration);

groupNum = size(result,1);
len = length(c);
res = zeros(groupNum,len,3,2);

for g = 2:5
    r = [];
conc = [];
    for i = 5 : len
        Rela = result(g,corrs(i,:),:,:);
        u = unidim(Rela(:,:,:,3));
        r = [r u];
        conc = [conc repmat(c(i),1,length(u))];
    end
    [R,k,b] = LSM(conc,log(r));
    k
    R
end




ODm0 = mean(unidim(result(1,:,1,1)))
mu0 = mean(unidim(result(:,1:3,3,1)))*1.5
q0 = mean(unidim(result(:,1:5,2,1)))
for g = 1 : groupNum
    for i = 1 : len
        Rela = result(g,corrs(i,:),:,:);
        for k = 1 : 3
            res(g,i,k,1) = mean(unidim(Rela(:,:,:,k)));
            res(g,i,k,2) = std(unidim(Rela(:,:,:,k)))*0.7;
        end
        Note = zeros(size(Rela,2),3);
        [m,loc] = min(Rela(:,:,:,4),[],3);
        for j = 1 : size(Rela,2)
            for k = 1 : 3
                Note(j,k) = Rela(:,j,loc(j),k);
            end
        end
        res(g,i,:,1) = mean(Note,1);
        res(g,i,:,2) = std(Note,1)*0.7;
    end
end




cl = jet(groupNum);

set(gca,'FontSize',12)
subplot('position',[.13,.684,.85,.305])
for i = 1 : groupNum
    errorbar(c,unidim(res(i,:,1,1)),unidim(res(i,:,1,2)),'Color',unidim(cl(i,:)),'LineWidth',2);
    hold on
end
ylabel('CD_m','FontSize',20)
box off
xlim([0 4.5])
subplot('position',[.13,.377,.85,.305])
for i = 1 : groupNum
    errorbar(c,unidim(res(i,:,3,1))*1.5,unidim(res(i,:,3,2))*1.5,'Color',unidim(cl(i,:)),'LineWidth',2);
    hold on
end
ylabel('\mu_m','FontSize',20)
box off
xlim([0 4.5])
ylim([0 0.02])
subplot('position',[.13,.070,.85,.305])
for i = 1 : groupNum
    errorbar(c,unidim(res(i,:,2,1)),unidim(res(i,:,2,2)),'Color',unidim(cl(i,:)),'LineWidth',2);
    hold on
end
ylabel('q','FontSize',20)
box off
legend('RGP','Toxin 134','Toxin 136','Toxin 1204','Toxin 6249')
xlim([0 4.5])
ylim([0 0.05])
xlabel('c \mug/mL','FontSize',20)
for i = 1 : groupNum
    errorbar(c,unidim(res(i,:,1,1)),unidim(res(i,:,1,2)),'Color',unidim(cl(i,:)),'LineWidth',2);
    hold on
end
axis([0,max(c)+0.5,0,1.6])
xlabel('c \mug/mL','FontSize',20)
ylabel('N_m','FontSize',20)
set(gca,'FontSize',10)
legend('CTL','Toxin 134','Toxin 136','Toxin 1204','Toxin 6249')